Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JMSTemplateMBean

All Known Subinterfaces:
  JMSDestinationMBean, JMSQueueMBean, JMSTopicMBean

public interface JMSTemplateMBean
extends ConfigurationMBean, JMSConstants

A JMS destination template.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`boolean` | `addDestination(JMSDestinationMBean destination)` Add a destination
`boolean` | `addDestinationKey(JMSDestinationKeyMBean destinationKey)` Add a destination key
`long` | `getBytesMaximum()` Returns the value of bytesMaximum.
`long` | `getBytesThresholdHigh()` Returns the value of bytesThresholdHigh.
`long` | `getBytesThresholdLow()` Returns the value of bytesThresholdLow
`java.lang.String` | `getDeliveryModeOverride()` The attribute defines the delivery mode assigned to all messages that arrive at the destination regardless of the delivery mode specified by the producer.
`JMSDestinationKeyMBean[]` | `getDestinationKeys()` Return a read-only array of the DestinationKeys of the Template.
`JMSDestinationMBean[]` | `getDestinations()` Return a read-only array of the Destinations for the Template.
`long` | `getMessagesMaximum()` Returns the value of messagesMaximum.
`long` | `getMessagesThresholdHigh()` Returns the value of messagesThresholdHigh.
`long` | `getMessagesThresholdLow()` Returns the value of messagesThresholdLow
`int` | `getPriorityOverride()` Returns the priorityOverrideValue
`long` | `getTimeToLiveOverride()` The attribute defines the time-to-live assigned to all messages that arrive at the destination regardless of the time-to-live specified by the producer.
`boolean` | `removeDestination(JMSDestinationMBean destination)` Remove a Destination.
`boolean` | `removeDestinationKey(JMSDestinationKeyMBean destinationKey)` Remove a DestinationKey.
`void` | `setBytesMaximum(long bytesMaximum)` Set the value of bytesMaximum.
`void` | `setBytesThresholdHigh(long bytesThresholdHigh)` Set the value of bytesThresholdHigh.
`void` | `setBytesThresholdLow(long bytesThresholdLow)` Set the value of bytesThresholdLow.
`void` | `setDeliveryModeOverride(java.lang.String deliveryModeOverride)` The attribute is dynamic.
`void` | `setDestinationKeys(JMSDestinationKeyMBean[] keys)` Set the keys
`void` | `setMessagesMaximum(long messagesMaximum)` Set the value of messagesMaximum.
`void` | `setMessagesThresholdHigh(long messagesThresholdHigh)` Set the value of messagesThresholdHigh.
`void` | `setMessagesThresholdLow(long messagesThresholdLow)` Set the value of messagesThresholdLow.
`void` | `setPriorityOverride(int priorityOverride)` The attribute is dynamic.
`void` | `setTimeToLiveOverride(long timeToLiveOverride)` The attribute is dynamic.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDestinationKeys

    public JMSDestinationKeyMBean[] getDestinationKeys()

  Return a read-only array of the DestinationKeys of the Template.

### addDestinationKey

    public boolean addDestinationKey(JMSDestinationKeyMBean destinationKey)

  Add a destination key

  Legal Value: (weblogic.management.configuration.JMSDestinationKeyLegalHelper.legalToAdd(this.getDestinationKeys()))
  Parameters:
    `destinationKey` - a reference to JMSDestinationKeyMBean

### setDestinationKeys

    public void setDestinationKeys(JMSDestinationKeyMBean[] keys)
                            throws javax.management.InvalidAttributeValueException

  Set the keys

  Legal Value: (weblogic.management.configuration.JMSDestinationKeyLegalHelper.legalOrder(value))
  Parameters:
    `destinationKeys` - an array of JMSDestinationKeyMBean

### removeDestinationKey

    public boolean removeDestinationKey(JMSDestinationKeyMBean destinationKey)

  Remove a DestinationKey.

  Parameters:
    `destinationKey` - a reference to JMSDestinationKeyMBean

### getDestinations

    public JMSDestinationMBean[] getDestinations()

  Return a read-only array of the Destinations for the Template.

### addDestination

    public boolean addDestination(JMSDestinationMBean destination)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a destination

  A dynamic MBean attribute
  Parameters:
    `destination` - a reference to JMSDestinationMBean

### removeDestination

    public boolean removeDestination(JMSDestinationMBean destination)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Remove a Destination.

  A dynamic MBean attribute
  Parameters:
    `destination` - a reference to JMSDestinationMBean

### getBytesMaximum

    public long getBytesMaximum()

  Returns the value of bytesMaximum.

### setBytesMaximum

    public void setBytesMaximum(long bytesMaximum)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Set the value of bytesMaximum. This is the maximum number of bytes that can be stored in the destination at any one time. A value of zero means there is no limit.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value >= ((weblogic.management.configuration.JMSTemplateMBean)self).getBytesThresholdHigh()) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

### getBytesThresholdHigh

    public long getBytesThresholdHigh()

  Returns the value of bytesThresholdHigh.

### setBytesThresholdHigh

    public void setBytesThresholdHigh(long bytesThresholdHigh)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Set the value of bytesThresholdHigh. If there is no threshold condition and the number of bytes stored in the destination exceeds this value, then the condition is set and an event is generated

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || (((( weblogic.management.configuration.JMSTemplateMBean)self).getBytesThresholdLow() < value) && ((((weblogic.management.configuration.JMSTemplateMBean)self).getBytesMaximum() == -1) || (value <= ((weblogic.management.configuration.JMSTemplateMBean)self).getBytesMaximum())) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

### getBytesThresholdLow

    public long getBytesThresholdLow()

  Returns the value of bytesThresholdLow

### setBytesThresholdLow

    public void setBytesThresholdLow(long bytesThresholdLow)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Set the value of bytesThresholdLow. If there is a threshold condition and the nubmer of bytes stored in the destination drops below this value, then the condition is cleared and an event is generated.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((weblogic.management.configuration.JMSTemplateMBean)self).getBytesThresholdHigh() == -1 || value < ((weblogic.management.configuration.JMSTemplateMBean)self).getBytesThresholdHigh()) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

### getMessagesMaximum

    public long getMessagesMaximum()

  Returns the value of messagesMaximum.

### setMessagesMaximum

    public void setMessagesMaximum(long messagesMaximum)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Set the value of messagesMaximum. This is the maximum number of messages that can be stored in the destination at any one time. A value of zero means there is no limit.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value >= ((weblogic.management.configuration.JMSTemplateMBean)self).getMessagesThresholdHigh()) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

### getMessagesThresholdHigh

    public long getMessagesThresholdHigh()

  Returns the value of messagesThresholdHigh.

### setMessagesThresholdHigh

    public void setMessagesThresholdHigh(long messagesThresholdHigh)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Set the value of messagesThresholdHigh. If there is no threshold condition and the number of messages stored in the destination exceeds this value, then the condition is set and an event is generated

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((((weblogic.management.configuration.JMSTemplateMBean)self).getMessagesThresholdLow() < value) && ((((weblogic.management.configuration.JMSTemplateMBean)self).getMessagesMaximum() == -1) || (value <= ((weblogic.management.configuration.JMSTemplateMBean)self).getMessagesMaximum())) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

### getMessagesThresholdLow

    public long getMessagesThresholdLow()

  Returns the value of messagesThresholdLow

### setMessagesThresholdLow

    public void setMessagesThresholdLow(long messagesThresholdLow)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

  Set the value of messagesThresholdLow. If there is a threshold condition and the nubmer of messages stored in the destination drops below this value, then the condition is cleared and an event is generated.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((weblogic.management.configuration.JMSTemplateMBean)self).getMessagesThresholdHigh() == -1 || value < ((weblogic.management.configuration.JMSTemplateMBean)self).getMessagesThresholdHigh()) && (value <= ((1 << 63) -1)))
  Legal Minimum Value: -1

### getPriorityOverride

    public int getPriorityOverride()

  Returns the priorityOverrideValue

### setPriorityOverride

    public void setPriorityOverride(int priorityOverride)
                             throws javax.management.InvalidAttributeValueException,
                                    DistributedManagementException

  The attribute is dynamic. It can be changed at anytime. Note: changing the attribute for a destination only affects incoming messages. It does not affect messages that are already stored in the destination.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((weblogic.management.configuration.JMSConstants.PRIORITY_MINIMUM <= value) && (value <= weblogic.management.configuration.JMSConstants.PRIORITY_MAXIMUM))
  Legal Minimum Value: -1
  Legal Maximum Value: weblogic.management.configuration.JMSConstants.PRIORITY_MAXIMUM

### getTimeToLiveOverride

    public long getTimeToLiveOverride()

  The attribute defines the time-to-live assigned to all messages that arrive at the destination regardless of the time-to-live specified by the producer. The default value for the attribute is NO_OVERRIDE indicating that the time-to-live is not being overridden.

### setTimeToLiveOverride

    public void setTimeToLiveOverride(long timeToLiveOverride)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  The attribute is dynamic. It can be changed at anytime. Note: changing the attribute for a destination only affects incoming messages. It does not affect messages that are already stored in the destination.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

### getDeliveryModeOverride

    public java.lang.String getDeliveryModeOverride()

  The attribute defines the delivery mode assigned to all messages that arrive at the destination regardless of the delivery mode specified by the producer. The default value for the attribute is NO_OVERRIDE indicating that the delivery mode is not being overridden.

### setDeliveryModeOverride

    public void setDeliveryModeOverride(java.lang.String deliveryModeOverride)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

  The attribute is dynamic. It can be changed at anytime. Note: changing the attribute for a destination only affects incoming messages. It does not affect messages that are already stored in the destination.

  A dynamic MBean attribute
  Default Value: null
  Legal Value: (value.equals(weblogic.management.configuration.JMSConstants.PERSISTENT)) || (value.equals(weblogic.management.configuration.JMSConstants.NON_PERSISTENT))
  Legal Values: weblogic.management.configuration.JMSConstants.NO_DELIVERY,weblogic.management.configuration.JMSConstants.PERSISTENT,weblogic.management.configuration.JMSConstants.NON_PERSISTENT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD